Subject: bug#7469: 24.0.50; report-emacs-bug is broken again (on Windows)

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Wed, 24 Nov 2010 00:36:55 +0100

The other two options that I see are:

1) Revert `browse-url-browser-function' to the previous definition, and
special-case mailto: handling in all the callers so that they end up in
an Emacs mail buffer when they ask for a mailto: URL.  This doesn't seem
very satisfactory.

2) Revert `browse-url-browser-function', but add a new variable
`browse-url-mailto-function', which will be checked by `browse-url' on
mailto: URLs.  mailclient.el would bind that to nil before calling
`browse-url' to get the system browser to handle sending the mail.

Of the three possibilities, I think the last one would be most
backwards-compatible and featureful.

-- 
(domestic pets only, the antidote for overdose, milk.)
  [email-masked] * Lars Magne Ingebrigtsen